# Installation auf Debian 12:

## OS:
 * Debian 12.2.0 Netinstall .ISO 
 * LVM-System installieren
 * tasksel:
   * SSH-Server
   * Standard Systemwerkzeuge

#### Paketinstallation:
 * ```apt install -y bacula git autofs smbclient cifs-utils sudo build-essential```
 * ```wget -qO- https://pkgs.bacularis.app/bacularis.pub | gpg --dearmor > /usr/share/keyrings/bacularis-archive-keyring.gpg```
 * ```echo "deb [signed-by=/usr/share/keyrings/bacularis-archive-keyring.gpg] https://pkgs.bacularis.app/stable/debian bookworm main" > /etc/apt/sources.list.d/bacularis.list```
 * ```echo "deb-src [signed-by=/usr/share/keyrings/bacularis-archive-keyring.gpg] https://pkgs.bacularis.app/stable/debian bookworm main" >> /etc/apt/sources.list.d/bacularis.list```
 * ```apt update```
 * ```apt install -y bacularis bacularis-nginx```
 * ```ln -s /etc/nginx/sites-available/bacularis.conf /etc/nginx/sites-enabled/```
 * ```systemctl restart nginx```

## Konfiguration:

### autofs Konfiguration
 * Siehe README.md im Verzeichnis ```autofs```

### vchanger Konfiguration
 * Siehe README.md im Verzeichnis ```vchanger```  

### Erkenntnisse

* Die Einträge DIRAddress, SDAddress und FDAddress sollten 0.0.0.0 sein um auf dem lokalen Netz erreichbar zu sein
* autofs benötigt smbclient, samba und cifs-tools
* Blockgröße der Devices auf mindestens 1MB einstellen, die Maximale Blockgröße ist 4MB

* bacula-sd.conf
  * Device {}
    * Minimum Blocksize = 1M
    * Maximum Blocksize = 4M
* bacula-dir.conf
  * Pool {}
    * Pool Size anpassen. Größe 0 = Unbegrenzt